For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Overview
    • Introduction
    • Response Codes
  • API Reference
      • GETGet campaign
      • PUTUpdate campaign
      • DELDelete campaign
      • GETList campaigns
      • POSTCreate campaign
LogoLogo
API ReferenceCampaigns

Delete campaign

||View as Markdown|
DELETE
https://hublinks.io/rest/accounts/:account_id/campaigns/:campaign_id
DELETE
/rest/accounts/:account_id/campaigns/:campaign_id
$curl -X DELETE https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id \
> -H "X-API-KEY: <apiKey>"
200Response
1{
2 "success": true,
3 "campaign": {
4 "name": "Test Rest 3",
5 "seats": [
6 "SEAT6a13e661ecc6a86e3fb7"
7 ],
8 "status": "DRAFT",
9 "schedule": {
10 "friday": [
11 true,
12 true,
13 true
14 ],
15 "monday": [
16 true,
17 true,
18 true
19 ],
20 "sunday": [
21 false,
22 true,
23 true
24 ],
25 "tuesday": [
26 true,
27 true,
28 true
29 ],
30 "saturday": [
31 false,
32 true,
33 true
34 ],
35 "thursday": [
36 true,
37 true,
38 true
39 ],
40 "wednesday": [
41 true,
42 true,
43 true
44 ]
45 },
46 "account_id": "ACCO136ce10b5f8a7682efb3",
47 "created_at": 1756555797163,
48 "campaign_id": "campaign_79dc16be15ff633fb8dc"
49 }
50}
Delete a campaign by ID.
Was this page helpful?
Previous

Update campaign

Next

List campaigns

Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

account_idstringRequired
campaign_idstringRequired

Response

This endpoint returns an object.
successboolean
campaignobject